=== debian/changelog ===
sirikali (1.2.9-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Tue, 11 Jul 2017 07:25:01 -0400
