=== debian/control ===
Source: sirikali
Section: admin
Priority: extra
Maintainer: David Steele <steele@debian.org>
Build-Depends: debhelper (>= 9),
               cmake,
               pkg-config,
               libgcrypt20-dev,
               libsecret-1-dev,
               qtbase5-dev,
               chrpath,
               bzip2,
               pandoc,
Standards-Version: 4.0.0
Homepage: http://mhogomchungu.github.io/sirikali
Vcs-Git: https://github.com/davesteele/sirikali.git -b debian
Vcs-Browser: https://github.com/davesteele/sirikali

Package: sirikali
Architecture: amd64 armel arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x alpha hppa kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}, cryfs [!armel]
Recommends: encfs [armel]
Suggests: encfs [!armel]
Description: Manage user encrypted volumes
 Sirikali provides a Qt/C++ GUI front end to cryfs,gocryptfs,securefs and encfs,
 allowing the user to create, mount, and unmount encrypted volumes.
