## sirikali 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,16 @@
-cmake_minimum_required( VERSION 2.6 )
-cmake_policy( SET CMP0017 OLD )
-cmake_policy( SET CMP0002 OLD )
+cmake_minimum_required( VERSION 3.0 )
 
 set_property( GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON )
 
 project( sirikali )
 
-set( PGR_VERSION "1.2.9" )
+set( PGR_VERSION "1.3.1" )
 
 add_definitions( -Wextra -Wall -pedantic )
+
+set( CMAKE_CXX_STANDARD 14 )
+set( CMAKE_CXX_STANDARD_REQUIRED ON )
+set( CMAKE_CXX_EXTENSIONS OFF)
 
 include_directories( ${PROJECT_BINARY_DIR} )
 
@@ -160,7 +162,7 @@
 	endif()
 endif()
 
-add_definitions( -std=c++11 )
+add_definitions( -std=c++14 )
 
 set( UI_FILES 	src/sirikali.ui
 		src/keydialog.ui
@@ -188,12 +190,12 @@
 		src/walletconfig.h
 		src/walletconfiginput.h
 		src/options.h
-		src/networkAccessManager.hpp
 		src/filemanager.h
 		src/mountinfo.h
 		src/securefscreateoptions.h
 		src/cryfscreateoptions.h
 		src/3rdParty/tasks/task.h
+		src/3rdParty/NetworkAccessManager/networkAccessManager.hpp
  )
 
 set( SRC 	src/dialogok.cpp
