=== src/3rdParty/lxqt_wallet/frontend/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 
 cmake_minimum_required(VERSION 2.6)
-cmake_policy(SET CMP0017 OLD)
 
 INCLUDE(FindPkgConfig)
