=== debian/changelog ===
sirikali (1.3.1-1) unstable; urgency=medium

  *  New upstream version.

 -- David Steele <steele@debian.org>  Fri, 20 Oct 2017 23:49:20 -0400

sirikali (1.3.0-1) unstable; urgency=medium

  * New upstream version. 
  * Save the source signature in an archivable format.
  * Kill existing sirikali daemon on upgrade.

 -- David Steele <steele@debian.org>  Tue, 12 Sep 2017 23:09:37 -0400
