=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: sirikali
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: David Steele <steele@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
@@ -11,13 +11,13 @@
                chrpath,
                bzip2,
                pandoc,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://mhogomchungu.github.io/sirikali
 Vcs-Git: https://github.com/davesteele/sirikali.git -b debian
 Vcs-Browser: https://github.com/davesteele/sirikali
 
 Package: sirikali
-Architecture: amd64 armel arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x alpha hppa kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc64 x32
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, cryfs [!armel]
 Recommends: encfs [armel]
 Suggests: encfs [!armel]
