=== debian/changelog ===
sirikali (1.3.2-1) unstable; urgency=medium

  * New upstream version

 -- David Steele <steele@debian.org>  Tue, 02 Jan 2018 21:06:34 -0500
