=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                chrpath,
                bzip2,
                pandoc,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://mhogomchungu.github.io/sirikali
 Vcs-Git: https://github.com/davesteele/sirikali.git -b debian
 Vcs-Browser: https://github.com/davesteele/sirikali
