=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 PKD = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 PKG = $(shell dpkg-parsechangelog -l$(PKD)/changelog --show-field=Source)
 VER ?= $(shell (dpkg-parsechangelog -l$(PKD)/changelog | grep Version | sed 's/Version..//' | sed 's/-.\+//'))
+PRODUCT_VER = $(shell (grep version changelog | tail -1 | awk '{print $2}'))
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -19,6 +20,8 @@
 	dh $@ --parallel
 
 override_dh_auto_build:
+	if [ ${VER} != ${PRODUCT_VER} ] ; then exit 1 ; fi
+	if ! grep -q \"${VER}\" ./debian/sirikali.appdata.xml ; then exit 1 ; fi
 	dh_auto_build
 	pandoc debian/sirikali.1.md -s -t man -o debian/sirikali.1
